# Enum ocl::builders::ImageCmdKind [−] [src]

    pub enum ImageCmdKind<'c, T: 'c> {
        Unspecified,
        Read {
            data: &'c mut [T],
        },
        Write {
            data: &'c [T],
        },
        Map,
        Fill {
            color: T,
        },
        Copy {
            dst_image: &'c MemCore,
            dst_origin: [usize; 3],
        },
        CopyToBuffer {
            buffer: &'c MemCore,
            dst_origin: usize,
        },
        GLAcquire,
        GLRelease,
    }

The type of operation to be performed by a command.

## Variants

`Unspecified` `Read`

### Fields of `Read`

`data: &'c mut [T]` |

`Write`

### Fields of `Write`

`data: &'c [T]` |

`Map` `Fill`

### Fields of `Fill`

`color: T` |

`Copy`

### Fields of `Copy`

`dst_image: &'c MemCore` |
`dst_origin: [usize; 3]` |

`CopyToBuffer`

### Fields of `CopyToBuffer`

`buffer: &'c MemCore` |
`dst_origin: usize` |

`GLAcquire` `GLRelease`

## Trait Implementations

### `impl<'c, T: Debug + 'c> Debug for ImageCmdKind<'c, T>`
[src]

#### `fn fmt(&self, __arg_0: &mut Formatter) -> Result`
[src]

Formats the value using the given formatter. Read more

# Help

## Keyboard Shortcuts

`?`
  Show this help dialog
`S`
  Focus the search field
`↑`
  Move up in search results
`↓`
  Move down in search results
`↹`
  Switch tab
`⏎`
  Go to active search result
`+`
  Expand all sections
`-`
  Collapse all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)